com.smartgwt.client.types

## Enum GroupStartOpen

- java.lang.Object
- - java.lang.Enum<GroupStartOpen>
  - - com.smartgwt.client.types.GroupStartOpen

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<GroupStartOpen>

      public enum GroupStartOpen
      extends java.lang.Enum<GroupStartOpen>
      implements ValueEnum

  Possible values for the state of ListGrid groups when groupBy is called

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` open all groups
    `FIRST` open the first group
    `NONE` start with all groups closed

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static GroupStartOpen` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GroupStartOpen[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final GroupStartOpen ALL

      open all groups

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "all".

    - #### FIRST

          public static final GroupStartOpen FIRST

      open the first group

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "first".

    - #### NONE

          public static final GroupStartOpen NONE

      start with all groups closed

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static GroupStartOpen[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupStartOpen c : GroupStartOpen.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupStartOpen valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`